:root {
    --search-map-height: clamp(25rem, 27.778vw + 19.792rem, 53.125rem);
}

/* Single property styling */
.single_property_listing_content .mstar-hostaway-property-single {
    margin-left: auto;
    margin-right: auto;
    max-width: var(--wp--style--global--wide-size);
    margin: var(--wp--preset--spacing--60) auto var(--wp--preset--spacing--80);
    width: 90%;
}

.mstar-hostaway-gallery {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    grid-template-rows: 220px 220px;
    gap: 12px;
    position: relative;
    margin-top: var(--wp--preset--spacing--60);
}

.mstar-hostaway-gallery img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.mstar-hostaway-gallery .mstar-hostaway-gallery-main {
    grid-row: span 2;
    grid-column: 1 / 2;
    grid-row: 1 / 3;
    border-radius: 14px;
    overflow: hidden;
}

.mstar-hostaway-gallery .mstar-hostaway-gallery-item {
    position: relative;
    border-radius: 14px;
    overflow: hidden;
}

.mstar-hostaway-gallery .property-gallery-item-1 {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
}

.mstar-hostaway-gallery .property-gallery-item-2 {
    grid-column: 3 / 4;
    grid-row: 1 / 2;
}

.mstar-hostaway-gallery .property-gallery-item-3 {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}

.mstar-hostaway-gallery .property-gallery-item-4 {
    grid-column: 3 / 4;
    grid-row: 2 / 3;
}

.mstar-hostaway-gallery .badge-more {
    position: absolute;
    bottom: 10px;
    right: 10px;
    background: #fff;
    padding: 6px 10px;
    font-size: 13px;
    font-weight: 600;
    border-radius: 20px;
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.15);
}

.mstar-hostaway-property-content {
    display: flex;
    gap: var(--wp--preset--spacing--40);
}

.mstar-hostaway-property-main {
    max-width: 940px;
    width: 100%;
}

.mstar-hostaway-property-sidebar {
    /* max-width: calc(100% - (940px + var(--wp--preset--spacing--40))); */
    /* width: 100%; */
    /* position: sticky; */
    display: flex;
    flex-wrap: wrap;
    gap: var(--wp--preset--spacing--20);
    flex: 1;
    padding: var(--spacing-24);
    border: 1px solid var(--wp--preset--color--base-2);
    border-radius: 10px;
    font-family: var(--wp--preset--font-family--primary);
    align-self: baseline;
    /* top: 1rem; */
}

.admin-bar .mstar-hostaway-property-sidebar {
    /* top: calc(1rem + var(--admin-bar-height-lg)); */
}

.mstar-hostaway-property-content {
    margin-top: var(--wp--preset--spacing--60)
}

.mstar-hostaway-property-title {
    color: var(--wp--preset--color--primary);
    font-weight: 700;
    font-size: var(--wp--preset--font-size--4-xl);
    margin-bottom: var(--spacing-8);
}

.mstar-hostaway-property-location-text {
    margin-top: var(--spacing-16);
    margin-bottom: var(--spacing-16)
}

:is(.mstar-hostaway-property-header, .mstar-hostaway-details, .mstar-hostaway-property-description, .mstar-hostaway-amenities, .mstar-hostaway-bedrooms) {
    margin-bottom: var(--wp--preset--spacing--30);
}

:is(.mstar-hostaway-details-title, .mstar-hostaway-amenities-title, .mstar-hostaway-location-title, .mstar-hostaway-bedrooms-title, .mstar-hostaway-fees-title) {
    color: var(--wp--preset--color--primary);
    font-weight: 700;
    font-size: var(--wp--preset--font-size--medium);
    margin-bottom: var(--spacing-16);
}

.mstar-hostaway-detail-item {
    display: flex;
    justify-content: start;
}

.mstar-hostaway-detail-value {
    margin-left: var(--spacing-8);
}

.mstar-hostaway-details-list {
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacing-16);
    column-gap: var(--spacing-24);
}

.mstar-hostaway-detail-label,
.mstar-hostaway-bedroom-beds li {
    line-height: 1.2;
    padding-left: 25px;
    position: relative;
}

.mstar-hostaway-detail-label::before,
.mstar-hostaway-bedroom-beds li::before {
    content: "";
    background-image: url(../images/sprite-icons.png);
    background-repeat: no-repeat;
    background-size: 200px;
    height: 20px;
    width: 20px;
    display: block;
    position: absolute;
    left: 0;
    top: 0;
}

.mstar-hostaway-bedroom-label {
    color: var(--wp--preset--color--primary);
    font-size: var(--wp--preset--font-size--small);
    margin-bottom: var(--wp--preset--spacing--10);
}

.mstar-hostaway-detail-beds .mstar-hostaway-detail-label::before,
.mstar-hostaway-bedroom-beds li::before {
    background-position: 0 -160px;
}

.mstar-hostaway-detail-bathrooms .mstar-hostaway-detail-label::before {
    background-position: 0 0;
}

.mstar-hostaway-detail-guests .mstar-hostaway-detail-label::before {
    background-position: 0 -20px;
}

.mstar-hostaway-detail-bedrooms .mstar-hostaway-detail-label::before {
    background-position: 0 -60px;
}

.mstar-hostaway-detail-size .mstar-hostaway-detail-label::before {
    background-position: 0 -80px;
}

.mstar-hostaway-detail-checkin .mstar-hostaway-detail-label::before {
    background-position: 0 -100px;
}

.mstar-hostaway-detail-checkout .mstar-hostaway-detail-label::before {
    background-position: 0 -120px;
}

.mstar-hostaway-detail-min_nights .mstar-hostaway-detail-label::before {
    background-position: 0 -140px;
}

.mstar-hostaway-detail-value {
    font-weight: 600;
    line-height: 1.2;
}

.mstar-hostaway-property-main p:first-of-type {
    margin-top: 0;
}

.mstar-hostaway-map {
    /* 480px */
    height: clamp(15.625rem, 14.198vw + 12.963rem, 30rem);
}

.mstar-hostaway-amenities-list {
    display: flex;
    flex-wrap: wrap;
    column-count: unset !important;
}

.mstar-hostaway-amenity-item {
    /* font-size: var(--wp--preset--font-size--small); */
    font-weight: 700;
    line-height: 1.2;
    flex: 0 28%;
    margin-bottom: var(--spacing-16);
    padding-left: var(--wp--preset--spacing--40);
    position: relative;
}

.mstar-hostaway-amenity-item::before {
    content: "";
    background-image: url(../images/rounded-check-green.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    display: block;
    height: 28px;
    width: 28px;
    position: absolute;
    left: 0;
    top: -4px;
}

.mstar-hostaway-booking-widget {
    /* padding: var(--spacing-24); */
    /* border: 1px solid var(--wp--preset--color--base-2); */
    /* border-radius: 10px; */
    /* font-family: var(--wp--preset--font-family--primary); */
    display: flex;
    gap: var(--wp--preset--spacing--20);
    flex-wrap: wrap;
    position: relative;
    top: 0;
}

.mstar-hostaway-booking-price {
    line-height: 1;
}

.mstar-hostaway-calendar-container p:first-of-type {
    margin-top: 0;
}

.mstar-hostaway-calendar-container p:last-of-type {
    margin-bottom: 0;
}

.mstar-hostaway-fees .mstar-hostaway-fees-title {
    margin-bottom: var(--spacing-8);
}

.mstar-hostaway-booking-price-amount {
    color: var(--wp--preset--color--primary);
    font-weight: 800;
    font-size: var(--wp--preset--font-size--medium);
}

.mstar-hostaway-fee-item {
    align-items: flex-start
}

.mstar-hostaway-fee-title {
    flex: 1 0 calc(80% - .5rem);
    line-height: 1.2
}

.mstar-hostaway-fee-amount {
    flex: 1 0 20%;
    line-height: 1.2;
}

.mstar-hostaway-fee-description {
    flex: 0 0 calc(80% - .5rem);
    font-size: var(--wp--preset--font-size--xs-base);
    line-height: 1.2;
    color: var(--wp--preset--color--base-1)
}

.mstar-hostaway-book-now-btn {
    margin-top: 0;
    border-radius: var(--bradius-50);
}

/* end single property listing  */


/* Archive Pages  */
:where(.pl_intro_description, .archive_description) {
    text-align: center;
}

.archive_property_listing_content .mstar-hostaway-archive {
    max-width: var(--wp--style--global--wide-size);
    margin-bottom: var(--wp--preset--spacing--60);
}

.archive_description :is(p, div, li, a, span, strong, b, em, i) {
    color: inherit;
}

.coziehomes-tour-slider {
    max-width: 100%;
    width: 100%;
}

.mstar-hostaway-property-grid {
    gap: var(--wp--preset--spacing--40);
}

.mstar-hostaway-search-form {
    margin-bottom: var(--wp--preset--spacing--30);
    padding: var(--spacing-32);
    background-color: var(--wp--preset--color--base-4);
    border-radius: var(--bradius-20);
}

.mstar-hostaway-search-form :where(select, input, textarea, optgroup) {
    border-radius: var(--bradius-50);
    border: 1px solid var(--wp--preset--color--base-1);
    outline: 0;
    color: var(--wp--preset--color--base-1);
    width: 100%;
    box-sizing: border-box;
    padding: var(--inpt-padding);
}

.mstar-hostaway-search-form :where(input, textarea)::placeholder {
    color: var(--wp--preset--color--base-1);
}

.mstar-hostaway-search-form label {
    color: var(--wp--preset--color--primary);
    font-weight: 600;
    cursor: pointer;
    line-height: 1.2;
    margin-bottom: var(--spacing-8);
    margin-left: 5px;
}

:is(.mstar-hostaway-price-inputs, .mstar-hostaway-date-inputs) {
    border: 1px solid var(--wp--preset--color--base-1);
    border-radius: var(--bradius-50);
    background-color: white;
}

:is(.mstar-hostaway-price-inputs, .mstar-hostaway-date-inputs) input {
    background-color: transparent;
    border: 0;
    border-radius: 0;
}

.mstar-hostaway-filter-field {
    flex-basis: calc((100% - 3rem) / 4);
    width: calc((100% - 3rem) / 4);
}

:is(.mstar-hostaway-filter-dates, .mstar-hostaway-filter-price, .mstar-hostaway-filter-sort) {
    flex-basis: calc((100% - 2rem) / 3);
    width: calc((100% - 2rem) / 3);
}

.mstar-hostaway-filter-actions {
    display: flex;
    justify-content: center;
    gap: var(--wp--preset--spacing--10);
    width: 100%;
    position: relative;
}

.mstar-hostaway-search-btn, .mstar-hostaway-reset-btn {
    border-radius: var(--bradius-50);
    cursor: pointer;
    font-size: var(--wp--preset--font-size--small);
    font-family: var(--wp--preset--font-family--secondary);
    font-weight: 700;
    line-height: 1;
    padding: var(--btn-padding);
    text-transform: capitalize;
    transition: var(--trn-ease-250);
}

.mstar-hostaway-search-btn {
    background-color: var(--wp--preset--color--primary);
    border: 1px solid var(--wp--preset--color--primary);
    color: white;
}

.mstar-hostaway-reset-btn {
    background-color: white;
    border: 1px solid white;
    color: black;
}

.mstar-hostaway-search-btn:hover {
    background-color: var(--wp--preset--color--darken-primary);
    border: 1px solid var(--wp--preset--color--darken-primary);
    color: white;
}

.mstar-hostaway-reset-btn:hover {
    background-color: var(--wp--preset--color--base-1);
    border: 1px solid var(--wp--preset--color--base-1);
    color: white;
}

.mstar-hostaway-card-title {
    color: black;
    font-weight: 700;
    font-family: var(--wp--preset--font-family--secondary);
    font-size: 1rem;
}

.mstar-hostaway-card-type {
    color: var(--wp--preset--color--base-1);
    font-size: var(--wp--preset--font-size--xs-base);
}

.mstar-hostaway-property-card {
    border-radius: var(--bradius-20);
    box-shadow: 0 7px 7px 0 rgba(0, 0, 0, 0.09), 0 2px 4px 0 rgba(0, 0, 0, 0.10);
}

.mstar-hostaway-card-link {
    border-radius: var(--bradius-20);
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
}

.mstar-hostaway-card-link:not(:has(> .mstar-hostaway-card-image)) .mstar-hostaway-card-body {
    padding-top: calc(var(--aspect-ratio-classic) + var(--spacing-24));
}

.mstar-hostaway-card-link:hover .mstar-hostaway-card-body {
    background-color: white;
}

.mstar-hostaway-card-image {
    border-top-left-radius: var(--bradius-20);
    border-top-right-radius: var(--bradius-20);
    display: flex;
    overflow: hidden;
    position: relative;
    height: 0;
    padding-bottom: var(--aspect-ratio-classic);
    width: 100%;
}

.mstar-hostaway-card-image .mstar-hostaway-card-thumbnail {
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    object-fit: cover;
}

.mstar-hostaway-card-body {
    border-bottom-left-radius: var(--bradius-20);
    border-bottom-right-radius: var(--bradius-20);
    background-color: var(--wp--preset--color--base-3);
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 6px;
    padding: var(--spacing-24);
    transition: var(--trn-ease-250);
}

.mstar-hostaway-card-body p {
    margin-top: 0;
    margin-bottom: 0;
}

.mstar-hostaway-card-location {
    font-size: var(--wp--preset--font-size--xs-base);
}

.mstar-hostaway-stat {
    color: black;
    font-size: var(--wp--preset--font-size--xs-base);
    text-transform: capitalize;
    position: relative;
    padding-left: var(--spacing-24);
}

.mstar-hostaway-stat::before {
    content: "";
    background-image: url(../images/sprite-icons.png);
    background-repeat: no-repeat;
    background-size: 200px;
    height: 20px;
    width: 20px;
    display: block;
    position: absolute;
    left: 0;
    top: 0;
}

.mstar-hostaway-stat-bedrooms::before {
    background-position: 0 -60px;
}

.mstar-hostaway-stat-bathrooms::before {
    background-position: 0 0;
}

.mstar-hostaway-stat-guests::before {
    background-position: 0 -20px;
}

.mstar-hostaway-card-price {
    color: var(--wp--preset--color--primary);
    font-weight: 700;
    font-size: var(--wp--preset--font-size--small);
    line-height: 1;
}

.mstar-hostaway-card-price small {
    color: black;
    font-weight: normal;
    font-size: var(--wp--preset--font-size--xs-base);
}

.archive_property_listing_content .nav-links {
    display: flex;
    gap: 4px;
}

.archive_property_listing_content :is(.page-numbers, .mstar-hostaway-page-link, .mstar-hostaway-page-current) {
    color: var(--wp--preset--color--base-1);
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--trn-ease-250);
    border-radius: var(--bradius-50);
    width: 40px;
    height: 40px;
}

.archive_property_listing_content :is(.page-numbers.current, .mstar-hostaway-page-current) {
    background-color: var(--wp--preset--color--primary);
    color: white;
    font-weight: 700;
}

.pl_hero+.pl_feed_heading {
    padding-top: var(--wp--preset--spacing--60) !important;
}

.mstar-hostaway-archive+.pl_focus_image {
    padding-top: 0 !important;
}

.archive_property_listing_content .archive_search_results {
    max-width: calc(100% - (var(--spacing-64) * 2));
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--wp--preset--spacing--30);
}

.archive_search_results .mstar-hostaway-search-form {
    max-width: 100%;
    width: 100%;
}

.archive_search_results .mstar-hostaway-card-link {
    flex-direction: row
}

.archive_search_results :is(.mstar-hostaway-card-image, .mstar-hostaway-card-body) {
    box-sizing: border-box;
}

.archive_search_results .mstar-hostaway-card-image {
    border-top-right-radius: 0;
    border-bottom-left-radius: var(--bradius-20);
    padding-bottom: calc(var(--aspect-ratio-cinema) / 1.8);
    flex: 1 0 40%;
    height: 100%;
}

.archive_search_results .mstar-hostaway-card-body {
    border-top-right-radius: var(--bradius-20);
    border-bottom-left-radius: 0;
    flex: 1 0 60%;
}

.archive_search_results :is(.mstar-hostaway-property-grid, .mstar-hostaway-map) {
    box-sizing: border-box;
    margin-top: 0;
}

.archive_search_results .mstar-hostaway-property-grid {
    max-height: var(--search-map-height);
    height: 100%;
    overflow: auto;
    gap: var(--wp--preset--spacing--20);
    padding-right: var(--wp--preset--spacing--20);
    width: calc(50% - (var(--wp--preset--spacing--30) / 2));
    order: 4;
}

.archive_search_results .mstar-hostaway-map {
    border-radius: var(--bradius-20);
    /* 400 to 850 */
    height: var(--search-map-height) !important;
    display: block;
    padding-left: var(--wp--preset--spacing--20);
    width: calc(50% - (var(--wp--preset--spacing--30) / 2));
    order: 5;
}

.archive_search_results .mstar-hostaway-pagination {
    order: 10;
}


/* Media Queries  */
@media only screen and (max-width: 992px) {
    .mstar-hostaway-filter-field {
        flex-basis: calc((100% - 2rem) / 3);
        width: calc((100% - 2rem) / 3);
    }

    .archive_search_results .mstar-hostaway-property-grid {
        padding-right: 0;
        width: 100%;
        overflow: visible;
        max-height: fit-content;
        margin-bottom: var(--wp--preset--spacing--20);
    }

    .archive_search_results .mstar-hostaway-map {
        width: 100%;
        padding-left: 0;
    }

    .archive_search_results .mstar-hostaway-pagination {
        width: 100%;
    }

    :is(.pl_hero>.wp-block-cover, .pl_focus_image>.wp-block-cover) {
        min-height: var(--height-hero-featured) !important;
    }
}

@media only screen and (max-width: 781px) {
    .mstar-hostaway-filter-field {
        flex-basis: calc((100% - 2rem) / 2);
        width: calc((100% - 2rem) / 2);
    }
}

@media only screen and (max-width: 599px) {
    .archive_search_results .mstar-hostaway-card-link {
        flex-direction: column;
    }

    .archive_search_results .mstar-hostaway-card-image {
        border-bottom-left-radius: 0;
        padding-bottom: var(--aspect-ratio-cinema);
    }

    .archive_search_results .mstar-hostaway-card-body {
        border-top-right-radius: 0;
    }

    .archive_search_results .mstar-hostaway-property-grid {
        gap: var(--wp--preset--spacing--40);
    }
}

@media only screen and (max-width: 479px) {
    .mstar-hostaway-filter-field {
        flex-basis: 100%;
        width: 100%;
    }
}

/* End Media Queries  */